### Method

# Gio IOExtensionPoint get_extension_by_name

#### Declaration

    GIOExtension*
    g_io_extension_point_get_extension_by_name (
      GIOExtensionPoint* extension_point,
      const char* name
    )

#### Description

Finds a `GIOExtension` for an extension point by name.

#### Parameters

`name`

  Type: `const char*`

  The name of the extension to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GIOExtension`

The `GIOExtension` for `extension_point` that has the given name, or `NULL` if there is no extension with that name.

The returned data is owned by the instance.